Subject: Re: [PATCH] net/ethernet: Use ether_addr_copy rather than memcpy

From: Greg <[email-masked]>
Date: Wed, 31 Aug 2016 09:42:23 -0700

On Wed, 2016-08-31 at 09:41 -0700, Joe Perches wrote:
> On Wed, 2016-08-31 at 09:32 -0700, Greg Rose wrote:
> > I'm not sure why this hasn't been done before because it seems obvious,
> > so maybe there is some reason that memcpy is used instead of
> > ether_addr_copy in this code.  But let's try this anyway.
> >
> > Change memcpy to ether_addr_copy.
> 
> I looked at this once and gave up given the need to verify all
> the possible callers that require an __aligned(2) source address.
> 

Ha, I figured there must be some reason for it.  OK, patch withdrawn.

Thanks!